Last Comment Bug 712296 - IOException on startup due to ZipFile closing before ZipInputStream read in AboutHomeContent
: IOException on startup due to ZipFile closing before ZipInputStream read in A...
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: -- normal (vote)
: Firefox 12
Assigned To: Brad Lassey [:blassey] (use needinfo?)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-20 06:40 PST by Kartikaya Gupta (email:kats@mozilla.com)
Modified: 2012-01-10 14:15 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
patch (5.30 KB, patch)
2011-12-20 07:59 PST, Brad Lassey [:blassey] (use needinfo?)
mark.finkle: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Kartikaya Gupta (email:kats@mozilla.com) 2011-12-20 06:40:01 PST
Running a build with some unrelated local changes on top of f3c943d2e763, saw this in the logcat on starting up a fresh uninstall/reinstall of Fennec.

I/GeckoAboutHome(28665): error reading json file
I/GeckoAboutHome(28665): java.io.IOException: Bad file number
I/GeckoAboutHome(28665): 	at java.util.zip.Inflater.setFileInputImpl(Native Method)
I/GeckoAboutHome(28665): 	at java.util.zip.Inflater.setFileInput(Inflater.java:316)
I/GeckoAboutHome(28665): 	at java.util.zip.InflaterInputStream.fill(InflaterInputStream.java:202)
I/GeckoAboutHome(28665): 	at java.util.zip.InflaterInputStream.read(InflaterInputStream.java:159)
I/GeckoAboutHome(28665): 	at java.util.zip.ZipFile$ZipInflaterInputStream.read(ZipFile.java:458)
I/GeckoAboutHome(28665): 	at org.mozilla.gecko.AboutHomeContent$7.run(AboutHomeContent.java:270)
I/GeckoAboutHome(28665): 	at android.os.Handler.handleCallback(Handler.java:587)
I/GeckoAboutHome(28665): 	at android.os.Handler.dispatchMessage(Handler.java:92)
I/GeckoAboutHome(28665): 	at android.os.Looper.loop(Looper.java:132)
I/GeckoAboutHome(28665): 	at org.mozilla.gecko.GeckoAppShell$LooperThread.run(GeckoAppShell.java:154)
Comment 1 Brad Lassey [:blassey] (use needinfo?) 2011-12-20 07:59:57 PST
Created attachment 583164 [details] [diff] [review]
patch

one other thing to note, I'm not seeing a recommended-addons.json file in my profile on my galaxy nexus. Did something change such that we're not producing it anymore?
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-20 08:28:01 PST
Comment on attachment 583164 [details] [diff] [review]
patch

looks ok to me
Comment 3 Brad Lassey [:blassey] (use needinfo?) 2011-12-20 14:41:32 PST
pushed https://hg.mozilla.org/integration/mozilla-inbound/rev/abd7fa8acad2
Comment 4 Ed Morley [:emorley] 2011-12-21 04:30:31 PST
https://hg.mozilla.org/mozilla-central/rev/abd7fa8acad2
Comment 5 Aaron Train [:aaronmt] 2011-12-21 08:13:16 PST
Samsung Nexus S (Android 4.0.3)
20111221041234
http://hg.mozilla.org/mozilla-central/rev/d6b976e83811
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-06 23:12:25 PST
Comment on attachment 583164 [details] [diff] [review]
patch

[Approval Request Comment]
Fixes an exception
Comment 7 Alex Keybl [:akeybl] 2012-01-09 14:53:33 PST
Comment on attachment 583164 [details] [diff] [review]
patch

[Triage Comment]
Mobile only - approved for Aurora.
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-10 14:15:30 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/177eddd8f816

Note You need to log in before you can comment on or make changes to this bug.